API Reference
Lookup latest reopt brief by page URL
GET
header
AuthorizationBearer <token>Session JWT signed with HS256. Verification pins the algorithm and rejects expired tokens, per RFC8725.
domainId*stringDomain ID
url*stringPage URL to look up
Brief summary, or null when no reoptimization brief exists for that URL
application/json- response
id*stringopportunityPageUrl*stringstatus*stringsource*stringValue in
"gsc""manual""paste"mode*stringValue in
"full""structural"autoMode*booleantargetKeywords*array<string>language?stringcurrentStep*numbertotalSteps*numbercurrentStepName?stringerrorMessage?stringcreatedAt*stringcompletedAt?stringcurl -X GET 'https://api.getmint.ai/api/domains/string/content-studio-v2/reoptimization-briefs/by-url?url=string'{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "opportunityPageUrl": "https://nike.com/air-max", "status": "completed", "source": "gsc", "mode": "full", "autoMode": false, "targetKeywords": [ "best running shoes", "running shoes for flat feet" ], "language": "en", "currentStep": 8, "totalSteps": 8, "currentStepName": "generateBrief", "errorMessage": "Page crawl returned 404", "createdAt": "2026-05-25T10:30:00.000Z", "completedAt": "2026-05-25T10:35:00.000Z"}